%global project skilion
%global repo onedrive

Name:           onedrive
Version:        1.1.1
Release:        5%{?dist}
Summary:        OneDrive Free Client written in D
License:        GPLv3
URL:            https://github.com/%{project}/%{repo}
Source0:        %{url}/archive/v%{version}/%{repo}-v%{version}.tar.gz
BuildRequires:  ldc
BuildRequires:  libcurl-devel
BuildRequires:  sqlite-devel
BuildRequires:  systemd
Requires(post): systemd
Requires(preun): systemd 
ExclusiveArch:  %{ldc_arches}

%description
Free CLI client for Microsoft OneDrive written in D.
OneDrive for Business is not supported.

%prep
%setup -q -n %repo-%{version}
sed -i 's|dmd|ldmd2|g' Makefile
sed -i 's|version ||g' Makefile
sed -i '/git/d' Makefile
sed -i "s|/usr/local|%_prefix|" Makefile
sed -i "s|DFLAGS =|DFLAGS +=|" Makefile
sed -i "s|std\.c\.|core\.stdc\.|" src/sqlite.d
echo %{version} > version
%build
export DFLAGS="%{_d_optflags}"
%make_build

%install
%make_install \
    PREFIX="%{_prefix}"

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files
%doc README.md config
%license LICENSE
%{_bindir}/%{name}
%{_userunitdir}/%{name}.service

%changelog
* Sun Aug 05 2018 Thomas Drake-Brockman <thom@sfedb.com> - 1.1.1-5
- Patch src/sqlite.d to use core.stc instead of std.c

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Kalev Lember <klember@redhat.com> - 1.1.1-3
- Rebuilt for ldc 1.11

* Fri Feb 23 2018 Thomas Drake-Brockman <thom@sfedb.com> - 1.1.1-2
- Bump release for rebuild on f28 branch

* Tue Feb 20 2018 Thomas Drake-Brockman <thom@sfedb.com> - 1.1.1-1
- Update to upstream version 1.1.1
- Remove %check because upstream removed the unittest action from Makefile

* Mon Feb 19 2018 Kalev Lember <klember@redhat.com> - 1.0.1-3
- Rebuilt for ldc 1.8

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Zamir SUN <sztsian@gmail.com> 1.0.1-1
- Update to upstream release version 1.0.1

* Tue Oct 25 2016 mosquito <sensor.wen@gmail.com> 0.1.1-2.giteb8d0fe
- add BReq systemd

* Thu Oct 20 2016 Zamir SUN <sztsian@gmail.com> 0.1.1-1.giteb8d0fe
- initial package
